// --- [ ds1631.h ] -------------------------------------------------------------
//		 Routinen zur Temperaturmessung mit dem Dallas DS1631
//     tab = 3

#define DS1631_START_CONVERT	0x51
#define DS1631_STOP_CONVERT	0x22
#define DS1631_READ_T			0xAA
#define DS1631_ACCESS_TH		0xA1
#define DS1631_ACCESS_TL		0xA2
#define DS1631_ACCESS_CONFIG	0xAC
#define DS1631_POR				0x54
#define DS1631_CONFIG			13			//0b00001101	// 12 Bit Auflsung, 1 Shot Modus
//#define DS1631_CONFIG			9			//0b00001001	// 9 Bit Auflsung, 1 Shot Modus
#define DS1631_ADR				0x90		// 144  = Adresse des 1. DS1631

// --- Defininition eigener Funktionen

void 		ds1631_Init(uint8_t chipadr);
uint8_t 	ds1631_Get_Status(uint8_t chipadr);
void 		ds1631_Get_String(char *s);
void 		ds1631_Read_Start(uint8_t chipadr);
//void 	ds1631_Read(uint8_t chipadr);
uint16_t ds1631_Read(uint8_t chipadr);

// --- [ eof ] ----------------------------------------------------------------
