// --- [ spi_hard.h ] ----------------------------------------------------------
//
// tab = 3
// ----------------------------------------------------------------------------

#ifndef EXTERN
#define EXTERN extern
#endif

// --- von extern zugreifbare Funktionen --------------------------------------

void SPI_init(void);
void SPI_write(uint8_t data);
uint8_t SPI_read(void);

// --- Konstanten -------------------------------------------------------------

#define  DF_SPI_PORT					PORTB			// Port fr SPI-Kommunikation
#define	DF_SPI_PIN					PINB
#define  DF_SPI_DDR					DDRB

#define	DF_SPI_CLK					PB5			// Clock (output)
#define	DF_SPI_DI					PB4			// Data in (input)
#define	DF_SPI_DO					PB3			// Data Out (output)
#define 	DF_SPI_CS					PB2			// Chip Select (output)
#define	DF_SPI_RESET				PB1			// reset (output)

#define	SPI_SET_DDR					DF_SPI_DDR = (1<<DF_SPI_CLK | 1<< DF_SPI_DO | 1<<DF_SPI_CS | 1<<DF_SPI_RESET)
#define	SET_PIN_CS					DF_SPI_PORT &= (~(1<<DF_SPI_CS))
#define	CLEAR_PIN_CS				DF_SPI_PORT |=   (1<<DF_SPI_CS)

#define	SET_RESET					DF_SPI_PORT &= (~(1<<DF_SPI_RESET))
#define	CLEAR_RESET					DF_SPI_PORT |=   (1<<DF_SPI_RESET)

#define  SPI_ENABLE					SPCR = (0<<SPIE | 1<<SPE | 1<<MSTR | 0<<SPR0 | 1<<CPOL | 1<<CPHA)
#define  SPI_DISABLE					SPCR = 0




/*
SPCR = (1<<SPE | 1<<MSTR | 0<<SPI2X | 0<<SPR1 | 1<<SPR0);		// CLK / 16 -> 125 KHz
SPI_DDR  |= (1<<SPI_SS | 1<< SPI_MOSI| 1<< SPI_SCK );
SPI_PORT |= (1<<SPI_SS);						// Slave Select auf high
*/

// --- [ eof ] ----------------------------------------------------------------
